package de.ivu.elect.business.gebietsbaum.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.gebietsbaum.entity.Gebietsarteigenschaft;
import de.ivu.elect.business.gebietsbaum.entity.GebietsarteigenschaftProperties;
import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.wahl.entity.Wahlart;

/**
 *  on 04.06.2015.
 */
@GroupedConversationScoped
@ConversationGroup(AbstractGebietsarteigenschaftSearchParameters.class)
public class GebietsarteigenschaftSearchParameters extends AbstractGebietsarteigenschaftSearchParameters {

  private Gebietsarteigenschaft gebietsarteigenschaft;

  private Mandant mandant;

  public Mandant getMandant() {
    return mandant;
  }

  public void setMandant(Mandant mandant) {
    this.mandant = mandant;
  }

  protected Gebietsarteigenschaft getGebietsarteigenschaft() {
    if (gebietsarteigenschaft == null) {
      gebietsarteigenschaft = new Gebietsarteigenschaft();
    }
    return gebietsarteigenschaft;
  }

  public GebietsarteigenschaftProperties getProperties() {
    return getGebietsarteigenschaft().getProperties();
  }

  public Gebietsart getGebietsart() {
    return getGebietsarteigenschaft().getGebietsart();
  }

  public void setGebietsart(Gebietsart gebietsart) {
    getGebietsarteigenschaft().setGebietsart(gebietsart);
  }

  public Wahlart getWahlart() {
    return getGebietsarteigenschaft().getWahlart();
  }

  public void setWahlart(Wahlart wahlart) {
    getGebietsarteigenschaft().setWahlart(wahlart);
  }

  @Override
  public void reset() {
    super.reset();
    gebietsarteigenschaft = null;
    mandant = null;
  }
}
